Skip to content
Navigation

Create for entity

POST
https://api.sureshake.com/v2/entities/{entityId}/engagement-invitations

Path parameters

  • entityId
    string
    required
    format: uuid

Request body JSON

Any of the following:

  • object
    • relationshipId
      string
      required
      format: uuid
    • targetLabel
      string
      required
      maxLength: 200 · minLength: 1
    • idempotencyKey
      string
      required
      format: uuid
    • kind
      meeting
      required
    • meetingUrl
      string
      required
      format: uri
    • message
      optional
      string
      maxLength: 2000 · minLength: 1
    • scheduledAt
      optional
      string
      format: date-time
  • object
    • relationshipId
      string
      required
      format: uuid
    • targetLabel
      string
      required
      maxLength: 200 · minLength: 1
    • idempotencyKey
      string
      required
      format: uuid
    • kind
      report
      required
    • reportId
      string
      required
      format: uuid
    • message
      optional
      string
      maxLength: 2000 · minLength: 1
  • object
    • relationshipId
      string
      required
      format: uuid
    • targetLabel
      string
      required
      maxLength: 200 · minLength: 1
    • idempotencyKey
      string
      required
      format: uuid
    • kind
      capital_objective
      required
    • capitalObjectiveId
      string
      required
      format: uuid
    • message
      optional
      string
      maxLength: 2000 · minLength: 1

Returns

201

Default Response

JSON
  • data
    object
    required
    • id
      string
      required
      format: uuid
    • startupListingId
      string
      required
      format: uuid
    • relationshipId
      string
      required
      format: uuid
    • recipientPrincipal
      object
      required
      • type
        user
        or
        entity
        or
        organization
        required
      • id
        string
        required
        minLength: 1
    • recipientUserIds
      array of
      string
      required
      minLength: 1
    • kind
      meeting
      or
      report
      or
      capital_objective
      required
    • targetLabel
      string
      required
      maxLength: 200 · minLength: 1
    • message
      string
      or null
      required
      maxLength: 2000 · minLength: 1
    • meetingUrl
      string
      or null
      required
      format: uri
    • scheduledAt
      string
      or null
      required
      format: date-time
    • reportId
      string
      or null
      required
      format: uuid
    • capitalObjectiveId
      string
      or null
      required
      format: uuid
    • status
      sent
      or
      cancelled
      required
    • invitedByUserId
      string
      required
      minLength: 1
    • createdAt
      string
      required
      format: date-time
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close